<template>
    <v-col :md="md">
        <v-text-field 
        :label="text" 
        v-model="value" 
        append-icon="mdi-magnify"
        single-line
        hide-details
        v-on:keyup.enter="$emit('enter',value)">
        </v-text-field>
    </v-col>
</template>
<script>
export default {
    props:{
        md:{
            type: String,
            default:'4',
        },
        text:String,
    },
    data () {
        return{
            value:'',
        }
    }
}
</script>